EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ChunkedUploads_GetUploads',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'ChunkedUploads,ChunkedUploadParts',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all uploads in progress optionally filtered by feed.'
GO

IF OBJECT_ID('[ChunkedUploads_GetUploads]') IS NOT NULL DROP PROCEDURE [ChunkedUploads_GetUploads]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [ChunkedUploads_GetUploads]
(
	@Feed_Id INT = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [ChunkedUploads]
	 WHERE (@Feed_Id IS NULL) OR ([Feed_Id] = @Feed_Id)

	 SELECT *
	  FROM [ChunkedUploadParts]
	 WHERE (@Feed_Id IS NULL) OR ([Feed_Id] = @Feed_Id)

END
GO

GRANT EXECUTE ON [ChunkedUploads_GetUploads] TO [ProGetUser_Role]
GO