EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ChunkedUploads_StartUpload',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Begins a new upload.'
GO

IF OBJECT_ID('[ChunkedUploads_StartUpload]') IS NOT NULL DROP PROCEDURE [ChunkedUploads_StartUpload]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [ChunkedUploads_StartUpload]
(
	@Feed_Id INT,
	@Upload_Id VARCHAR(100),
	@Expected_Length BIGINT,
	@Started_Date DATETIME,
	@AdditionalData_Bytes VARBINARY(MAX),
	@BytesReceived_Count BIGINT
)
AS
BEGIN

SET NOCOUNT ON

	INSERT INTO [ChunkedUploads]
	(
		[Feed_Id],
		[Upload_Id],
		[Expected_Length],
		[Started_Date],
		[Part_Size],
		[AdditionalData_Bytes],
		[BytesReceived_Count],
		[LatestChunkReceived_Date],
		[PartsReceived_Count]
	)
	VALUES
	(
		@Feed_Id,
		@Upload_Id,
		@Expected_Length,
		@Started_Date,
		0,
		@AdditionalData_Bytes,
		@BytesReceived_Count,
		GETUTCDATE(),
		1
	)

END
GO

GRANT EXECUTE ON [ChunkedUploads_StartUpload] TO [ProGetUser_Role]
GO