EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_GetFeedSyncData',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'DockerRepositories_Slim,DockerImages_Slim,DockerRepositoryTags_Slim,DockerBlobs',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets information used to replicate a Docker feed.'
GO

IF OBJECT_ID('[DockerImages_GetFeedSyncData]') IS NOT NULL DROP PROCEDURE [DockerImages_GetFeedSyncData]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_GetFeedSyncData]
(
	@Feed_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DockerRepositories_Slim]
	 WHERE [Feed_Id] = @Feed_Id

	SELECT *
	  FROM [DockerImages_Slim]
	 WHERE [Feed_Id] = @Feed_Id

	SELECT *
	  FROM [DockerRepositoryTags_Slim]
	 WHERE [Feed_Id] = @Feed_Id

	SELECT DISTINCT DB.*
	  FROM [DockerImageLayers] DIL
		   INNER JOIN [DockerBlobs] DB
		           ON DB.[DockerBlob_Id] = DIL.[DockerBlob_Id]
	       INNER JOIN [DockerImages] DI
		           ON DI.[DockerImage_Id] = DIL.[DockerImage_Id]
		   INNER JOIN [DockerRepositories] DR
		           ON DR.[DockerRepository_Id] = DI.[DockerRepository_Id]
	 WHERE DR.[Feed_Id] = @Feed_Id
	UNION ALL
	SELECT DISTINCT DB.*
	  FROM [DockerRepositories] DR
	       INNER JOIN [DockerImages] DI
		           ON DI.[DockerRepository_Id] = DR.[DockerRepository_Id]
		   INNER JOIN [DockerBlobs] DB
		           ON DB.[DockerBlob_Id] = DI.[ContainerConfigBlob_Id]
	 WHERE DR.[Feed_Id] = @Feed_Id

END
GO

GRANT EXECUTE ON [DockerImages_GetFeedSyncData] TO [ProGetUser_Role]
GO