EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'FeedPackageFilters_GetPackageFilters',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'FeedPackageFilters',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns all of the package filters for a feed.'
GO

IF OBJECT_ID('[FeedPackageFilters_GetPackageFilters]') IS NOT NULL DROP PROCEDURE [FeedPackageFilters_GetPackageFilters]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [FeedPackageFilters_GetPackageFilters]
(
	@Feed_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [FeedPackageFilters]
	 WHERE [Feed_Id] = @Feed_Id
	 ORDER BY [Sequence_Number]

END
GO

GRANT EXECUTE ON [FeedPackageFilters_GetPackageFilters] TO [ProGetUser_Role]
GO
	   

