EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'FeedReplications_PurgeDrafts',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes draft FeedReplications before a specified date.'
GO

IF OBJECT_ID('[FeedReplications_PurgeDrafts]') IS NOT NULL DROP PROCEDURE [FeedReplications_PurgeDrafts]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [FeedReplications_PurgeDrafts]
(
	@Before_Date DATETIME
)
AS
BEGIN

SET NOCOUNT ON

	DELETE [FeedReplications]
	 WHERE [Draft_Indicator] = 'Y'
	   AND [ModifiedOn_Date] < @Before_Date

END
GO

GRANT EXECUTE ON [FeedReplications_PurgeDrafts] TO [ProGetUser_Role]
GO
	   

