EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Feeds_DeleteFeedConnector',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Dissociates a connector with a feed.'
GO

IF OBJECT_ID('[Feeds_DeleteFeedConnector]') IS NOT NULL DROP PROCEDURE [Feeds_DeleteFeedConnector]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Feeds_DeleteFeedConnector]
(
	@Feed_Id INT,
	@Connector_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [FeedConnectors] 
     WHERE [Feed_Id] = @Feed_Id 
       AND [Connector_Id] = @Connector_Id


    COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Feeds_DeleteFeedConnector] TO [ProGetUser_Role]
GO
