EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'LicenseRules_DeleteLicenseRule',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a license rule.'
GO

IF OBJECT_ID('[LicenseRules_DeleteLicenseRule]') IS NOT NULL DROP PROCEDURE [LicenseRules_DeleteLicenseRule]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [LicenseRules_DeleteLicenseRule]
(
	@LicenseRule_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

    DECLARE @External_Id VARCHAR(50)
    DECLARE @Allow_Indicator YNINDICATOR
    DECLARE @Feed_Id INT

    SELECT @External_Id = L.[External_Id],
           @Allow_Indicator = LR.[Allow_Indicator],
           @Feed_Id = LR.[Feed_Id]
      FROM [LicenseRules] LR
           INNER JOIN [Licenses] L
                   ON L.[License_Id] = LR.[License_Id]

    IF @External_Id IS NOT NULL BEGIN

	    DELETE [LicenseRules]
	     WHERE [LicenseRule_Id] = @LicenseRule_Id

    	EXEC [Events_RaiseEvent] 'LICRUL', @Feed_Id, N'LicenseRule_Id', @LicenseRule_Id, N'External_Id', @External_Id, N'Allow_Indicator', @Allow_Indicator, 'Operation_Name', N'DELETE'

    END

END
GO

GRANT EXECUTE ON [LicenseRules_DeleteLicenseRule] TO [ProGetUser_Role]
GO
