EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'RpmPackages_SearchLatestPackageVersions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'RpmPackages_Latest',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Searches the latest versions of packages in a feed.'
GO

IF OBJECT_ID('[RpmPackages_SearchLatestPackageVersions]') IS NOT NULL DROP PROCEDURE [RpmPackages_SearchLatestPackageVersions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RpmPackages_SearchLatestPackageVersions]
(
	@Feed_Id INT,
	@SearchTerm_Text VARCHAR(200),
	@Max_Count INT = NULL
)
AS
BEGIN

SET NOCOUNT ON

	IF @Max_Count IS NOT NULL
		SET ROWCOUNT @Max_Count

	SELECT *
	  FROM [RpmPackages_Latest]
	 WHERE [Feed_Id] = @Feed_Id
	   AND (CHARINDEX(@SearchTerm_Text, [Package_Name]) > 0 OR CHARINDEX(@SearchTerm_Text, [Summary_Text]) > 0)
	 ORDER BY CASE WHEN CHARINDEX(@SearchTerm_Text, [Package_Name]) > 0 THEN 0 ELSE 1 END, [Published_Date] DESC

END
GO

GRANT EXECUTE ON [RpmPackages_SearchLatestPackageVersions] TO [ProGetUser_Role]
GO