EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Feeds_GetVulnerabilitySources',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'VulnerabilitySources',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the vulnerability sources for a feed.'
GO

IF OBJECT_ID('[Feeds_GetVulnerabilitySources]') IS NOT NULL DROP PROCEDURE [Feeds_GetVulnerabilitySources]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Feeds_GetVulnerabilitySources]
(
	@Feed_Id INT
)
AS
BEGIN
	
	SET NOCOUNT ON

    SELECT VS.*
      FROM [FeedVulnerabilitySources] FVS
     INNER JOIN [VulnerabilitySources] VS 
             ON VS.[VulnerabilitySource_Id] = FVS.[VulnerabilitySource_Id]
     WHERE [Feed_Id] = @Feed_Id

END
GO

GRANT EXECUTE ON [Feeds_GetVulnerabilitySources] TO [ProGetUser_Role]
GO
